nautilus: ceph-mgr: missing dependency python-typing

03/12/2021 08:00 AM - Dan Poltawski

Status: Resolved % Done: 0%

Priority: Urgent Spent time: 0.00 hour

Assignee: Josh Durgin   
Target version: v14.2.18   

Source:  Affected Versions: v14.2.17

Tags:  ceph-qa-suite:  

Backport:  Pull request ID: 40095

Regression: Yes Crash signature (v1):  

Severity: 1 - critical Crash signature (v2):  

Reviewed:    

Description

After installing the 14.2.17 update, ceph mgr fails with `Module not found: 'volumes'` and the following stack trace indicates it the

missing typing module. Installing python-typing module resolvesthe problem.

2021-03-12 07:49:26.363 7fcf61c5e700 -1 received  signal: Terminated from /usr/lib/systemd/systemd --switched-root --system

--deserialize 22  (PID: 1) UID: 0

2021-03-12 07:49:26.363 7fcf61c5e700 -1 mgr handle_signal * Got signal Terminated *

2021-03-12 07:49:30.083 7f28a3428e40  0 set uid:gid to 167:167 (ceph:ceph)

2021-03-12 07:49:30.083 7f28a3428e40  0 ceph version 14.2.17 (2e95b5d99e0dec516803c8a1b57fbd2c8f45fd63) nautilus (stable),

process ceph-mgr, pid 842525

2021-03-12 07:49:30.084 7f28a3428e40  0 pidfile_write: ignore empty --pid-file

2021-03-12 07:49:30.138 7f28a3428e40  1 mgr[py] Loading python module 'alerts'

2021-03-12 07:49:30.180 7f28a3428e40  1 mgr[py] Loading python module 'ansible'

2021-03-12 07:49:30.267 7f28a3428e40  1 mgr[py] Loading python module 'balancer'

2021-03-12 07:49:30.284 7f28a3428e40  1 mgr[py] Loading python module 'crash'

2021-03-12 07:49:30.311 7f28a3428e40  1 mgr[py] Loading python module 'dashboard'

2021-03-12 07:49:30.540 7f28a3428e40  1 mgr[py] Loading python module 'deepsea'

2021-03-12 07:49:30.632 7f28a3428e40  1 mgr[py] Loading python module 'devicehealth'

2021-03-12 07:49:30.650 7f28a3428e40  1 mgr[py] Loading python module 'diskprediction_local'

2021-03-12 07:49:30.668 7f28a3428e40  1 mgr[py] Loading python module 'influx'

2021-03-12 07:49:30.683 7f28a3428e40  1 mgr[py] Loading python module 'insights'

2021-03-12 07:49:30.699 7f28a3428e40  1 mgr[py] Loading python module 'iostat'

2021-03-12 07:49:30.713 7f28a3428e40  1 mgr[py] Loading python module 'localpool'

2021-03-12 07:49:30.728 7f28a3428e40  1 mgr[py] Loading python module 'orchestrator_cli'

2021-03-12 07:49:30.773 7f28a3428e40  1 mgr[py] Loading python module 'pg_autoscaler'

2021-03-12 07:49:30.828 7f28a3428e40  1 mgr[py] Loading python module 'progress'

2021-03-12 07:49:30.909 7f28a3428e40  1 mgr[py] Loading python module 'prometheus'

2021-03-12 07:49:30.972 7f28a3428e40  1 mgr[py] Loading python module 'rbd_support'

2021-03-12 07:49:31.013 7f28a3428e40  1 mgr[py] Loading python module 'restful'

2021-03-12 07:49:31.186 7f28a3428e40  1 mgr[py] Loading python module 'selftest'

2021-03-12 07:49:31.203 7f28a3428e40  1 mgr[py] Loading python module 'status'

2021-03-12 07:49:31.230 7f28a3428e40  1 mgr[py] Loading python module 'telegraf'

2021-03-12 07:49:31.255 7f28a3428e40  1 mgr[py] Loading python module 'telemetry'

2021-03-12 07:49:31.442 7f28a3428e40  1 mgr[py] Loading python module 'test_orchestrator'

2021-03-12 07:49:31.483 7f28a3428e40  1 mgr[py] Loading python module 'volumes'

2021-03-12 07:49:31.558 7f28a3428e40 -1 mgr[py] Module not found: 'volumes'

2021-03-12 07:49:31.558 7f28a3428e40 -1 mgr[py] Traceback (most recent call last):

File "/usr/share/ceph/mgr/volumes/__init__.py", line 2, in <module>

from .module import Module

File "/usr/share/ceph/mgr/volumes/module.py", line 10, in <module>

from .fs.volume import VolumeClient

File "/usr/share/ceph/mgr/volumes/fs/volume.py", line 13, in <module>

from .operations.subvolume import open_subvol, create_subvol, remove_subvol, \
File "/usr/share/ceph/mgr/volumes/fs/operations/subvolume.py", line 8, in <module>

from .versions import loaded_subvolumes

File "/usr/share/ceph/mgr/volumes/fs/operations/versions/__init__.py", line 9, in <module>

from .subvolume_v1 import SubvolumeV1

File "/usr/share/ceph/mgr/volumes/fs/operations/versions/subvolume_v1.py", line 9, in <module>

from typing import List, Dict

ImportError: No module named typing

2021-03-12 07:49:31.559 7f28a3428e40 -1 mgr[py] Class not found in module 'volumes'

2021-03-12 07:49:31.559 7f28a3428e40 -1 mgr[py] Error loading module 'volumes': (2) No such file or directory

2021-03-12 07:49:31.559 7f28a3428e40  1 mgr[py] Loading python module 'zabbix'

2021-03-12 07:49:31.585 7f28a3428e40 -1 log_channel(cluster) log [ERR] : Failed to load ceph-mgr modules: volumes

Related issues:

Duplicated by Ceph - Bug #49770: Module 'volumes' has failed dependency: No m... Duplicate

History

#1 - 03/12/2021 08:03 AM - Dan Poltawski

Accidentally tagged to  v14.2.7 but this is  v14.2.17

#2 - 03/12/2021 08:21 AM - Konstantin Shalygin

- Affected Versions v14.2.17 added

- Affected Versions deleted (v14.2.7)

#3 - 03/12/2021 09:43 PM - Neha Ojha

- Priority changed from Normal to Urgent

#4 - 03/12/2021 10:15 PM - Neha Ojha

- Duplicated by Bug #49770: Module 'volumes' has failed dependency: No module named typing added

#5 - 03/12/2021 10:33 PM - Neha Ojha

- Status changed from New to Fix Under Review

- Assignee set to Josh Durgin

- Pull request ID set to 40095

#6 - 03/12/2021 10:47 PM - Neha Ojha

- Subject changed from CentOS 7: ceph-mgr 14.2.17: missing dependency python-typing to nautilus: CentOS 7: ceph-mgr 14.2.17: missing

dependency python-typing

#7 - 03/14/2021 08:33 AM - Konstantin Shalygin

- Target version set to v14.2.18

#8 - 03/14/2021 08:41 AM - Konstantin Shalygin

- Subject changed from nautilus: CentOS 7: ceph-mgr 14.2.17: missing dependency python-typing to nautilus: ceph-mgr: missing dependency

python-typing

#9 - 03/14/2021 08:42 AM - Konstantin Shalygin

From github: Ubuntu Xenial is also affected.

#10 - 03/15/2021 02:44 PM - Josh Durgin

- Status changed from Fix Under Review to Resolved
